#
# spec file for package perl-Readonly
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Readonly
Version:        2.05
Release:        1.39
%define cpan_name Readonly
Summary:        Facility for creating read-only scalars, arrays, hashes
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Readonly/
Source0:        http://www.cpan.org/authors/id/S/SA/SANKO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
%{perl_requires}

%description
Facility for creating read-only scalars, arrays, hashes

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE minil.toml README.md

%changelog
* Sun Jun 12 2016 coolo@suse.com
- updated to 2.05
  see /usr/share/doc/packages/perl-Readonly/Changes
  2.05 2016-06-10T17:03:28Z
  - Fix deref when using the stupid and utterly unnecessary Readonly::Clone
* Mon May 23 2016 coolo@suse.com
- updated to 2.04
  see /usr/share/doc/packages/perl-Readonly/Changes
  2.04 2016-05-07T15:38:37Z
  - Quiet compile time warnings about function prototypes and vars being
    used only once
  2.03 2016-05-06T22:27:44Z
  - Rewording some documentation
  - No longer require an explicit version of perl in META.json or cpanfile
  2.02 2016-05-06T21:56:10Z
  - Create mutable clones of readonly structures with Readonly::Clone
  - Still not convinced this is useful but... fixes #13
  - Minor typo patch from Gregor Herrmann <gregoa@debian.org> fixes #21
* Tue Mar  8 2016 coolo@suse.com
- updated to 2.01
  see /usr/share/doc/packages/perl-Readonly/Changes
  2.01 2016-02-24T16:01:12Z
  - Disallow initialization of Readonly variables by assignment
    allowed by Perl prototype changes in v5.16.  Assignment initialization
    of scalars sets scalar variables to undef and lists and hashes
    initialized by assignment are not read only.
* Wed Sep 17 2014 coolo@suse.com
- updated to 2.00
  - Deprecation of Readonly::XS as a requirement for fast, readonly
    scalars is complete. Report any lingering issues on the tracker
    ASAP.
  1.61 2014-06-28T11:22:13Z
  - Normal constants (strings, numbers) do not appear to be read only to
    Internals::SvREADONLY($) but perl itself doesn't miss a beat when you
    attempt to assign a value to them. Fixing test regression in
    t/general/reassign.t
  1.60 2014-06-27T15:59:27Z
  - Fix array and hash tie() while in XS mode (exposed by Params::Validate tests)
  - Fix implicit undef value regression resolves #8
  - Minor documentation fixes (spell check, etc.)
  - Patch from Gregor Herrmann <gregoa@debian.org> resolves #7
  v1.500.0 2014-06-25T19:56:18Z
  - PLEASE NOTE: Readonly::XS is no longer needed!
  - Again, Readonly::XS is no longer needed.
  - Merged typo fix from David Steinbrunner RT#86350/#2
  - Merged patch (w/ tests, yay!) from Daniel P. Risse RT#37864
  - Upstream magic related bugs were reported to p5p and fixed in perl
    itself so we can resolve the following local issues: RT#70167, RT#57382,
    RT#29487, RT#36653, RT#24216.
  - Reported RT#120122 (tie + smartmatch bug) upstream to p5p. Will
    eventually resolve local [RT#59256].
  - Note: Resolved RT#16167 (benchmark.pl being installed) in 1.04.
  - Use readonly support exposed in Internals on perl >=5.8.x
  - Have I mentioned you don't need to install Readonly::XS anymore?
  - Checking $Readonly::XSokay is no longer suggested. ...never should have been
* Mon Dec 30 2013 rschweikert@suse.com
- eliminate attempt to remove the benchmark test. The new install process
  no longer installs the benchmark test into the target tree, thus the
  removal of the file to hide it from the package is obsolete.
  + Fixes the build failure on all distros
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.04
  - Module now maintained by Sanko Robinson. Please see TODO for a possible
    set of changes to this module that may effect code written for old, pre-
    perl 5.14.0 platforms!!!
* Tue May  8 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  Use SPDX format (http://www.spdx.org/licenses)
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Mar 16 2010 chris@computersalat.de
- fix header
- fix deps for perl-macros
* Sun Feb 21 2010 chris@computersalat.de
- cleanup spec
  o fixed Header
  o sort tags
  o added perl-macros (perl_gen_filelist)
  o removed noarch
  o fixed deps
  o moved benchmark.pl to doc
  o moved changelog to changes file
  o bzipped SOURCE
* Wed Oct 21 2009 rschweikert@novell.com
- Add changes file
- Cleanup %%changelog to only have initial build entry
* Mon Oct 12 2009 rschweikert@novell.com
- Initial build.
